SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004276SOGoWeb Mailpublic2017-09-07 03:162019-03-22 12:00
Reportersintbert 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformFirefox/ChromeOSWindows 10OS Version
Product Version3.2.10 
Target VersionFixed in Version4.0.8 
Summary0004276: Unread mails indicator on subfolders not dependable
DescriptionI have a setup where a lot of mails get directly sorted in to subfolders through filters.

On Sogo webmail version 3 some of those subfolders show the unread mails on load, others will only update it when i select that folder.
In Sogo version 2 this workes reliably in any folder.

See attached screenshots.
Steps To ReproduceSetup account with multiple subfolders and filters to move mails to those subfolders.
Send mails and watch some foldes update there new mail indicator and others not.
TagsNo tags attached.
Attached Fileszip file icon Screenshots.zip [^] (70,362 bytes) 2017-09-07 03:16

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012272)
sintbert (reporter)
2017-09-07 03:41

So i just found https://sogo.nu/bugs/view.php?id=522 [^]

I did not know it works that way, but i see why you dit it that way.

But now please explain to a "dumb" user with absolutely no interest/understanding in the inner workings of this program why a unread count only works on some folders and not on all..

Also there are problems with this solution. When i move mails into subfolders for later handling, i see that unread count update. On the next day when i open sogo, that unread counter will not display.

This is just not the way this should work / is expected to work.
(0012592)
klausenbusk (reporter)
2018-02-11 12:34

The current behavior is explained here: https://sogo.nu/bugs/view.php?id=2776#c7118 [^]

> New message count is only shown always for Inbox and all Folders where emails are moved to by sieve scripts defined from SOGo.
> All others are only checked and displayed, if you opend them once in your current session.

As I control most filters from SOGo it isn't a big issue for me, but SOGo isn't aware of all filters (ex: a global spam filter which move "spam" to the "Junk" folder).

I'm not sure what the ideal solution is, maybe we could show unread count as default for the default folders (Sent, Draft, Junk, Trash) or/and add a option to control the behavior.
(0012593)
sintbert (reporter)
2018-02-12 04:19

I get this is done for performance-reasons on big deployments.
But as many bugreports mention, it is not the way this is expected to work. And it is not the way it works in any other mailclient.

Please give me a serverside setting to change the behavior, so it shows the unread count on every visible folder.

This bug/"feature" is one of the last holdback for me to not switch over to v3.

- Related Changesets
sogo: master efde4b5a
Timestamp: 2019-03-22 11:57:57
Author: francis
Details ] Diff ]
(js) Allow to fetch unseen count of all mailboxes

Fixes 0000522, 0002776, 0004276
mod - NEWS Diff ] File ]
mod - UI/Templates/PreferencesUI/UIxPreferences.wox Diff ] File ]
mod - UI/WebServerResources/js/Mailer/MailboxesController.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-07 03:16 sintbert New Issue
2017-09-07 03:16 sintbert File Added: Screenshots.zip
2017-09-07 03:41 sintbert Note Added: 0012272
2018-02-11 12:34 klausenbusk Note Added: 0012592
2018-02-12 04:19 sintbert Note Added: 0012593
2019-03-22 11:59 francis Changeset attached => sogo master efde4b5a
2019-03-22 11:59 francis Assigned To => francis
2019-03-22 11:59 francis Resolution open => fixed
2019-03-22 12:00 francis Status new => resolved
2019-03-22 12:00 francis Fixed in Version => 4.0.8


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker